using Android.Graphics;
using System.IO;
using ThinkGeo.MapSuite.Core;

namespace CrossHairSample
{
    public class CrossHairAdornmentLayer : AdornmentLayer
    {
        private GeoImage crossHairImage;

        public CrossHairAdornmentLayer(Bitmap crossHairBitmap)
        {
            Stream crossHairStream = new MemoryStream();
            crossHairBitmap.Compress(Bitmap.CompressFormat.Png, 100, crossHairStream);
            crossHairImage = new GeoImage(crossHairStream);
        }

        protected override void DrawCore(GeoCanvas canvas, System.Collections.ObjectModel.Collection<SimpleCandidate> labelsInAllLayers)
        {
            base.DrawCore(canvas, labelsInAllLayers);
            PointShape worldCenter = canvas.CurrentWorldExtent.GetCenterPoint();
            canvas.DrawWorldImageWithoutScaling(crossHairImage, worldCenter.X, worldCenter.Y, DrawingLevel.LevelOne);
        }
    }
}